Bug 1733357 - missing gtk stock refresh icon in banshee "Devices" window
Summary: missing gtk stock refresh icon in banshee "Devices" window
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: banshee
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 19:41 UTC by Fabrice Bellet
Modified: 2020-05-26 16:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:18:18 UTC
Type: Bug


Attachments (Terms of Use)
Fix reference to gtk stock icons (1.25 KB, application/mbox)
2019-07-25 19:41 UTC, Fabrice Bellet
no flags Details
Fix CollectionExtensions disambiguation (1.00 KB, patch)
2019-07-25 19:45 UTC, Fabrice Bellet
no flags Details | Diff

Description Fabrice Bellet 2019-07-25 19:41:19 UTC
Created attachment 1593508 [details]
Fix reference to gtk stock icons

Hi!

I noticed that the gtk stock icon "refresh" has disappeared from banshee gui, in the window related to external devices. There's is a "Disconnect" action associated to the media-eject icon, and a "Sync" action associated to the gtk stock icon refresh that is replaced by the "icon missing" icon.

According to my tests, it seems to be caused by the addition of the icon in DapAction.cs *after* the creation of the ActionEntry(). The attached patch works for me.

As far as I remember, it worked fine in Fedora 29.

Comment 1 Fabrice Bellet 2019-07-25 19:45:53 UTC
Created attachment 1593510 [details]
Fix CollectionExtensions disambiguation

If it may help, I also need this other patch to build banshee from source on my Fedora 30. It seems there's an ambiguity for the definition of CollectionExtensions:

./Banshee.Preferences/Collection.cs(49,21): error CS0104: `CollectionExtensions' is an ambiguous reference between `System.Collections.Generic.CollectionExtensions' and `Hyena.Collections.CollectionExtensions'
/usr/lib/mono/4.5/mscorlib.dll (Location of the symbol related to previous error)
/home/bellet/Development/banshee/src/Core/Banshee.Services/../../../bin/Hyena.dll (Location of the symbol related to previous error)
./Banshee.Preferences/Collection.cs(49,42): error CS0117: `System.Collections.Generic.CollectionExtensions' does not contain a definition for `SortedInsert'
/usr/lib/mono/4.5/mscorlib.dll (Location of the symbol related to previous error)

Comment 2 Ben Cotton 2020-04-30 21:29:35 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 16:18:18 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.